{% extends "base_wagtail_page.html" %}

{% load blog_tags %}
{% load comment_tags %}
{% load gallery_tags %}
{% load i18n %}
{% load wagtailcore_tags %}

{% block body_class %}template-blogpage{% endblock %}

{% block content %}
    <div class="blog-post-header container mt-5 pb-3 text-center">
        {% tag_list page %}
        <h1>{{ page.title }}</h1>
        <h5 class="text-muted">
            <small>{{ page.date }}</small>
        </h5>
    </div>
    <div class="blog-post-pictures my-3 bg-info">
        <div class="container">
            {% carousel page.slug page.gallery_images.all %}
        </div>
    </div>

    <div class="blog-post-body container">
        <p class="lead">{{ page.intro }}</p>

        {{ page.body|richtext }}
    </div>
    <div class="blog-post-footer d-flex justify-content-center">
        <a href="{{ page.get_parent.url }}" class="btn btn-primary" role="button">{% trans "Return to blog" %}</a>
    </div>
    <div class="blog-comments container mt-3">
        {% show_comments page %}
    </div>
{% endblock %}
